\ProvidesClass{article_upjeng}
\LoadClass{article}
\renewcommand\normalsize{
	\@setfontsize\normalsize{12}{14}}
\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}

%Bibliography start------------------------------------
\RequirePackage[authordate16,backend=biber,natbib]{biblatex-chicago}
\usepackage{Cite}
\DeclareFieldFormat{doi}{%
  \mkbibacro{}\addcolon\space
  \ifhyperref
    {\href{https://doi.org/#1}{\nolinkurl{#1}}}
    {\nolinkurl{#1}}}

\DeclareCiteCommand{\cite}[\mkbibparens]
{\usebibmacro{prenote}}
{\usebibmacro{citeindex}%
	\printtext[bibhyperref]{\usebibmacro{cite}}}
{\multicitedelim}
{\usebibmacro{postnote}}

\addbibresource{article.bib}
%bibliography end---------------------------------------


%------------------------------------------

\RequirePackage{adjustbox}

\newcommand{\articletable}{
	\begin{table}[ht]
		\fontsize{12}{12}\selectfont
		\setlength{\tabcolsep}{2pt}
		\renewcommand{\arraystretch}{1.2}
		\begin{adjustbox}{width=1\textwidth}
			\begin{tabular}{p{10mm}p{135mm}p{10mm}}
				&
				\textbf{Abstract}\newline
				\abstract\newline		
					\vskip -0.2cm
				\textbf{Author Keywords.}\
				\keywords\newline			
				\vskip -0.2cm
				\textbf{Type:}
				\type \newline
	   \includegraphics[width=8px, height=11px]{oa} Open Access
		\includegraphics[width=10px, height=11px]{pr} Peer Reviewed
		\includegraphics[width=11px, height=11px]{cc}
		\includegraphics[width=11px, height=11px]{by} CC BY 
						&
		\end{tabular}
	       	\end{adjustbox}
                 \end{table}}

%------------------------------------------

\RequirePackage[utf8]{inputenc}
\RequirePackage[english]{babel}
\RequirePackage{csquotes}
\RequirePackage[a4paper, margin=25mm, headsep=15mm, footskip=15mm]{geometry}
\setlength{\parindent}{0pt}
\RequirePackage{hyperref}

\RequirePackage{titling}
\setlength{\droptitle}{-5em}
\pretitle{
	\begin{center}
	\fontsize{14}{16} \selectfont \bfseries
	\addtolength{\leftskip}{14mm} \addtolength{\rightskip}{14mm}
	\vspace{42pt}}
\posttitle{
	\end{center}
	\vskip 12pt}


%-----------------------------------------------

\RequirePackage[]{authblk}
\renewcommand\Authsep{, }
\renewcommand\Authand{, } 
\renewcommand\Authands{, }
\setlength{\affilsep}{0em}%espaço entre autor e afill
\setcounter{Maxaffil}{3}
\RequirePackage[]{ragged2e}
\renewcommand\Authfont{\fontsize{12}{14} \selectfont}  
\renewcommand\Affilfont{\fontsize{10}{12} \selectfont\justifying
\setlength{\leftskip}{12mm} \setlength{\rightskip}{12mm}}
\vskip 0.5cm
\date{}

%-----------------------------------------------

\RequirePackage{titlesec}
\titleformat{\section}
{\fontsize{12}{12} \selectfont \bfseries}{\thesection.\quad}{-4mm}{}[\vskip-0.2cm]
\titleformat{\subsection}
{\fontsize{12}{12} \selectfont \bfseries \itshape}{\thesubsection.\quad}{-4mm}{}[\vskip-0.2cm]
\titleformat{\subsubsection}
{\fontsize{12}{12} \selectfont \bfseries \itshape}{\thesubsubsection.\quad}{-4mm}{}[\vskip-0.2cm]

%-------------------------------------------------

\RequirePackage[labelfont=bf,margin=20mm,font=small]{caption}
\captionsetup{justification=centering}
\RequirePackage{graphicx}
\graphicspath{ {./images/} }
\RequirePackage{makecell}
\renewcommand\theadfont{
	\bfseries
	\fontsize{10}{10} \selectfont}
\renewcommand\theadgape{\Gape[2pt]}
\renewcommand\cellgape{\Gape[2pt]}

\RequirePackage{tikz}

%-----------------------------------------------
\RequirePackage{fancyhdr}
\pagestyle{fancy}
\fancyheadoffset{1cm}
\fancyfootoffset{1cm}
\fancyhf{}
\fancypagestyle{plain}{
	\fancyhf{}
	\fancyhead[L]{
		\begin{tabular}[c]{@{}c@{}}
			\end{tabular}
		\fontsize{9}{10}\selectfont
		\begin{tabular}[c]{@{}l@{}}
			U.Porto Journal of Engineering, 1:1 (2022) 5-15 \\
			ISSN 2183-6493 \\
			DOI: \href{https://doi.org/10.24840/2183-6493\_00X.00X\_00XX}{10.24840/2183-6493\_00X.00X\_00XX}
	\end{tabular}}
	
	\fancyhead[R]{\fontsize{8}{10}\selectfont%
		\begin{tabular}[c]{@{}r@{}}
			Received: XX December, XXXX \\
			Accepted: XX December, XXXX \\
			Published: XX December, XXXX
	\end{tabular}}	
	\fancyfoot[R]{
		\fontsize{8}{8} \selectfont
		\textbf{\thepage}}}

\lhead{
	\fontsize{8}{8} \selectfont
	\@title\\
	\noindent
	\newcommand{\printauthorlist}{{%
			\expandafter\let\csname textsuperscript \endcsname\@gobble
			\renewcommand{\Authfont}{} 
			\AB@authlist}
	}
\printauthorlist}

%-----------------------------------------------

\usepackage{float} 
\usepackage{graphicx}

\renewcommand{\headrulewidth}{0pt}
\lfoot {
	\fontsize{8}{8} \selectfont
	U.Porto Journal of Engineering, 1:1 (2015) 5-15}
\rfoot{
	\fontsize{8}{8} \selectfont
	\textbf{\thepage}}